Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngread.c File Reference

`#include "png.h"`

Include dependency graph for pngread.c:

## Defines
#define | PNG_INTERNAL
## Functions
png_structp | png_create_read_struct (png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn)
png_structp | png_create_read_struct_2 (png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn)
void | png_read_init (png_structp png_ptr)
void | png_read_init_2 (png_structp png_ptr, png_const_charp user_png_ver, png_size_t png_struct_size, png_size_t png_info_size)
void | png_read_init_3 (png_structpp ptr_ptr, png_const_charp user_png_ver, png_size_t png_struct_size)
void | png_read_info (png_structp png_ptr, png_infop info_ptr)
void | png_read_update_info (png_structp png_ptr, png_infop info_ptr)
void | png_start_read_image (png_structp png_ptr)
void | png_read_row (png_structp png_ptr, png_bytep row, png_bytep dsp_row)
void | png_read_rows (png_structp png_ptr, png_bytepp row, png_bytepp display_row, png_uint_32 num_rows)
void | png_read_image (png_structp png_ptr, png_bytepp image)
void | png_read_end (png_structp png_ptr, png_infop info_ptr)
void | png_destroy_read_struct (png_structpp png_ptr_ptr, png_infopp info_ptr_ptr, png_infopp end_info_ptr_ptr)
void | png_read_destroy (png_structp png_ptr, png_infop info_ptr, png_infop end_info_ptr)
void | png_set_read_status_fn (png_structp png_ptr, png_read_status_ptr read_row_fn)
void | png_read_png (png_structp png_ptr, png_infop info_ptr, int transforms, voidp params)

## Define Documentation

#define PNG_INTERNAL

## Function Documentation

png_structp png_create_read_struct | ( | png_const_charp | user_png_ver,
|  | png_voidp | error_ptr,
|  | png_error_ptr | error_fn,
|  | png_error_ptr | warn_fn
| ) |

png_structp png_create_read_struct_2 | ( | png_const_charp | user_png_ver,
|  | png_voidp | error_ptr,
|  | png_error_ptr | error_fn,
|  | png_error_ptr | warn_fn,
|  | png_voidp | mem_ptr,
|  | png_malloc_ptr | malloc_fn,
|  | png_free_ptr | free_fn
| ) |

void png_destroy_read_struct | ( | png_structpp | png_ptr_ptr,
|  | png_infopp | info_ptr_ptr,
|  | png_infopp | end_info_ptr_ptr
| ) |

void png_read_destroy | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_infop | end_info_ptr
| ) |

void png_read_end | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_read_image | ( | png_structp | png_ptr,
|  | png_bytepp | image
| ) |

void png_read_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_read_init | ( | png_structp | png_ptr | ) |

void png_read_init_2 | ( | png_structp | png_ptr,
|  | png_const_charp | user_png_ver,
|  | png_size_t | png_struct_size,
|  | png_size_t | png_info_size
| ) |

void png_read_init_3 | ( | png_structpp | ptr_ptr,
|  | png_const_charp | user_png_ver,
|  | png_size_t | png_struct_size
| ) |

void png_read_png | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | transforms,
|  | voidp | params
| ) |

void png_read_row | ( | png_structp | png_ptr,
|  | png_bytep | row,
|  | png_bytep | dsp_row
| ) |

void png_read_rows | ( | png_structp | png_ptr,
|  | png_bytepp | row,
|  | png_bytepp | display_row,
|  | png_uint_32 | num_rows
| ) |

void png_read_update_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_set_read_status_fn | ( | png_structp | png_ptr,
|  | png_read_status_ptr | read_row_fn
| ) |

void png_start_read_image | ( | png_structp | png_ptr | ) |